//
// File:        NetProcs.java
// Author:      Tomasz Stachowiak
// e-mail:      <stach@npac.syr.edu>
// Created:     Tue Jan 14 1997
// Time-stamp: <97/01/29 13:09:07 stach>
// Copyright Tomasz Stachowiak 1997 NPAC, Syracuse University

// Description:

import java.util.*;
import java.net.*;
import java.io.*;
import java.awt.*;

public class NetProcs {

  DatagramSocket socket;
  InetAddress addr;

  public NetProcs() {
    try {
      socket = new DatagramSocket();
    } catch (SocketException e) {
      System.err.println("NetProcess: " + e);
    }

    try {
      addr = InetAddress.getByName("mirphak.npac.syr.edu");
    } catch (UnknownHostException e) {
      System.err.println("NetProcess: " + e);
    }
  }

  protected void finalize() {
    socket.close();
  }

  public void Send(byte[] msg) {
    DatagramPacket packet = new DatagramPacket(msg, msg.length, addr, 15467);
    try {
      socket.send(packet);
    } catch (IOException e) {
      System.err.println("NetProcess: " + e);
    }
  }
}






